export const metadata = {
  title: "Status Page Subscribers - OnlineOrNot API Documentation",
  description:
    "Manage email and webhook subscribers for status page notifications",
}

## List all subscribers   {{ tag: 'GET', label: '/v1/status_pages/{status_page_id}/subscribers' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"}]} title="Path parameters" />

<ParameterTree parameters={[{"schema":{"type":"string","default":"1","example":1,"description":"Page number of paginated results."},"required":false,"description":"Page number of paginated results.","name":"page","in":"query","exampleValues":{"object":1,"json":"'1'"},"originalType":"string","safeType":"string","shortDesc":"Page number of paginated results.","style":"form"},{"schema":{"type":"string","default":"20","example":20,"description":"Number of items per page."},"required":false,"description":"Number of items per page.","name":"per_page","in":"query","exampleValues":{"object":20,"json":"'20'"},"originalType":"string","safeType":"string","shortDesc":"Number of items per page.","style":"form"},{"schema":{"type":"string","example":"example","description":"Search term to filter results."},"required":false,"description":"Search term to filter results.","name":"search","in":"query","exampleValues":{"object":"example","json":"'example'"},"originalType":"string","safeType":"string","shortDesc":"Search term to filter results.","style":"form"}]} title="Query parameters" />

<h3 id="get__v1_status_pages_{status_page_id}_subscribers-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns a list of subscribers for a status page|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Unauthorized - status page not in user's organisation|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"email_address":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"confirmed":{"type":"boolean","example":false,"description":"Whether the subscriber has confirmed their email"},"component_subscription_mode":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"component_ids":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the subscriber was created"}},"required":["id","email_address","confirmed","component_subscription_mode","component_ids","created_at"]}},"in":"body","name":"result","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» result"},{"schema":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"in":"body","name":"id","depth":2,"description":"Status Page Subscriber ID","type":"string","safeType":"string","required":true,"displayName":"»» id"},{"schema":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"in":"body","name":"email_address","depth":2,"description":"Email address of the subscriber","type":"string","format":"email","safeType":"string(email)","required":true,"displayName":"»» email_address"},{"schema":{"type":"boolean","example":false,"description":"Whether the subscriber has confirmed their email"},"in":"body","name":"confirmed","depth":2,"description":"Whether the subscriber has confirmed their email","type":"boolean","safeType":"boolean","required":true,"displayName":"»» confirmed"},{"schema":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"in":"body","name":"component_subscription_mode","depth":2,"description":"Component alert preference mode for this subscriber","type":"string","safeType":"string","required":true,"displayName":"»» component_subscription_mode"},{"schema":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"},"in":"body","name":"component_ids","depth":2,"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS","type":"array","safeType":"string[]","required":true,"displayName":"»» component_ids"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the subscriber was created"},"in":"body","name":"created_at","depth":2,"description":"When the subscriber was created","type":"string","safeType":"string","required":true,"displayName":"»» created_at"},{"schema":{"type":"object","properties":{"page":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"per_page":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"count":{"type":"number","example":1,"description":"Number of items on the current page."},"total_count":{"type":"number","example":1,"description":"Total number of items."}},"required":["count","total_count"]},"in":"body","name":"result_info","depth":1,"type":"object","safeType":"object","required":true,"displayName":"» result_info"},{"schema":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"in":"body","name":"page","depth":2,"description":"Page number of paginated results.","type":"number","safeType":"number","required":false,"displayName":"»» page"},{"schema":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"in":"body","name":"per_page","depth":2,"description":"Number of items per page.","type":"number","safeType":"number","required":false,"displayName":"»» per_page"},{"schema":{"type":"number","example":1,"description":"Number of items on the current page."},"in":"body","name":"count","depth":2,"description":"Number of items on the current page.","type":"number","safeType":"number","required":true,"displayName":"»» count"},{"schema":{"type":"number","example":1,"description":"Total number of items."},"in":"body","name":"total_count","depth":2,"description":"Total number of items.","type":"number","safeType":"number","required":true,"displayName":"»» total_count"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="GET" label="/v1/status_pages/{status_page_id}/subscribers">
```bash {{ title: 'cURL' }}
curl --request GET \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers", {
  "method": "GET",
  "headers": {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  }
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers")
  .get()
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers');
$request->setMethod(HTTP_METH_GET);

$request->setHeaders([
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": [
    {
      "id": "a1b2c3d4e5f6",
      "email_address": "user@example.com",
      "confirmed": false,
      "component_subscription_mode": "ALL_COMPONENTS",
      "component_ids": [
        "a1b2c3d4"
      ],
      "created_at": "2021-01-01T00:00:00.000Z"
    }
  ],
  "result_info": {
    "page": 1,
    "per_page": 20,
    "count": 1,
    "total_count": 1
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Create a subscriber   {{ tag: 'POST', label: '/v1/status_pages/{status_page_id}/subscribers' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"}]} title="Path parameters" />

<ParameterTree parameters={[{"in":"body","schema":{"type":"object","properties":{"email_address":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"component_subscription_mode":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"default":"ALL_COMPONENTS","example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"component_ids":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"default":[],"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"}},"required":["email_address"]},"name":"body","required":true,"exampleValues":{"object":{"email_address":"user@example.com","component_subscription_mode":"ALL_COMPONENTS","component_ids":["a1b2c3d4"]},"json":"{\n  \"email_address\": \"user@example.com\",\n  \"component_subscription_mode\": \"ALL_COMPONENTS\",\n  \"component_ids\": [\n    \"a1b2c3d4\"\n  ]\n}"},"originalType":"object","safeType":"object"},{"in":"body","schema":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"name":"» email_address","required":true,"description":"Email address of the subscriber","safeType":"string(email)","depth":1,"exampleValues":{"object":"user@example.com","json":"'user@example.com'"},"shortDesc":"Email address of the subscriber"},{"in":"body","schema":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"default":"ALL_COMPONENTS","example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"name":"» component_subscription_mode","required":false,"description":"Component alert preference mode for this subscriber","safeType":"string","depth":1,"exampleValues":{"object":"ALL_COMPONENTS","json":"'ALL_COMPONENTS'"},"shortDesc":"Component alert preference mode for this subscriber"},{"in":"body","schema":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"default":[],"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"},"name":"» component_ids","required":false,"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS","safeType":"string[]","depth":1,"exampleValues":{"object":["a1b2c3d4"],"json":"[\n  \"a1b2c3d4\"\n]"},"shortDesc":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"}]} title="Body parameters" />

<h3 id="post__v1_status_pages_{status_page_id}_subscribers-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|201|[Created](https://tools.ietf.org/html/rfc7231#section-6.3.2)|Returns the newly created subscriber|
|400|[Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1)|Invalid email address|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Unauthorized - status page not in user's organisation|
|409|[Conflict](https://tools.ietf.org/html/rfc7231#section-6.5.8)|Email already subscribed or has pending invitation|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"201","properties":[{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"email_address":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"confirmed":{"type":"boolean","example":false,"description":"Whether the subscriber has confirmed their email"},"component_subscription_mode":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"component_ids":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the subscriber was created"}},"required":["id","email_address","confirmed","component_subscription_mode","component_ids","created_at"]},"in":"body","name":"result","depth":1,"type":"object","safeType":"object","required":true,"displayName":"» result"},{"schema":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"in":"body","name":"id","depth":2,"description":"Status Page Subscriber ID","type":"string","safeType":"string","required":true,"displayName":"»» id"},{"schema":{"type":"string","format":"email","example":"user@example.com","description":"Email address of the subscriber"},"in":"body","name":"email_address","depth":2,"description":"Email address of the subscriber","type":"string","format":"email","safeType":"string(email)","required":true,"displayName":"»» email_address"},{"schema":{"type":"boolean","example":false,"description":"Whether the subscriber has confirmed their email"},"in":"body","name":"confirmed","depth":2,"description":"Whether the subscriber has confirmed their email","type":"boolean","safeType":"boolean","required":true,"displayName":"»» confirmed"},{"schema":{"type":"string","enum":["ALL_COMPONENTS","SELECTED_COMPONENTS"],"example":"ALL_COMPONENTS","description":"Component alert preference mode for this subscriber"},"in":"body","name":"component_subscription_mode","depth":2,"description":"Component alert preference mode for this subscriber","type":"string","safeType":"string","required":true,"displayName":"»» component_subscription_mode"},{"schema":{"type":"array","items":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"example":["a1b2c3d4"],"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS"},"in":"body","name":"component_ids","depth":2,"description":"Selected component IDs when component_subscription_mode is SELECTED_COMPONENTS","type":"array","safeType":"string[]","required":true,"displayName":"»» component_ids"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the subscriber was created"},"in":"body","name":"created_at","depth":2,"description":"When the subscriber was created","type":"string","safeType":"string","required":true,"displayName":"»» created_at"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="POST" label="/v1/status_pages/{status_page_id}/subscribers">
```bash {{ title: 'cURL' }}
curl --request POST \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'Content-Type: application/json' \
  --data '{"email_address":"user@example.com","component_subscription_mode":"ALL_COMPONENTS","component_ids":["a1b2c3d4"]}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers", {
  "method": "POST",
  "headers": {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  },
  "body": "{\"email_address\":\"user@example.com\",\"component_subscription_mode\":\"ALL_COMPONENTS\",\"component_ids\":[\"a1b2c3d4\"]}"
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"email_address\":\"user@example.com\",\"component_subscription_mode\":\"ALL_COMPONENTS\",\"component_ids\":[\"a1b2c3d4\"]}");
Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers")
  .post(body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers');
$request->setMethod(HTTP_METH_POST);

$request->setHeaders([
  'Content-Type' => 'application/json',
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

$request->setBody('{"email_address":"user@example.com","component_subscription_mode":"ALL_COMPONENTS","component_ids":["a1b2c3d4"]}');

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'
request.body = "{\"email_address\":\"user@example.com\",\"component_subscription_mode\":\"ALL_COMPONENTS\",\"component_ids\":[\"a1b2c3d4\"]}"

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers"

payload = {
    "email_address": "user@example.com",
    "component_subscription_mode": "ALL_COMPONENTS",
    "component_ids": ["a1b2c3d4"]
}
headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": {
    "id": "a1b2c3d4e5f6",
    "email_address": "user@example.com",
    "confirmed": false,
    "component_subscription_mode": "ALL_COMPONENTS",
    "component_ids": [
      "a1b2c3d4"
    ],
    "created_at": "2021-01-01T00:00:00.000Z"
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Delete a subscriber   {{ tag: 'DELETE', label: '/v1/status_pages/{status_page_id}/subscribers/{subscriber_id}' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"},{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"required":true,"description":"Status Page Subscriber ID","name":"subscriber_id","in":"path","exampleValues":{"object":"a1b2c3d4e5f6","json":"'a1b2c3d4e5f6'"},"originalType":"string","safeType":"string","shortDesc":"Status Page Subscriber ID","style":"simple"}]} title="Path parameters" />

<h3 id="delete__v1_status_pages_{status_page_id}_subscribers_{subscriber_id}-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns the deleted subscriber's ID|
|401|[Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1)|Unauthenticated|
|403|[Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)|Unauthorized|
|404|[Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4)|Subscriber not found|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"}},"required":["id"]},"in":"body","name":"result","depth":1,"type":"object","safeType":"object","required":true,"displayName":"» result"},{"schema":{"type":"string","example":"a1b2c3d4e5f6","description":"Status Page Subscriber ID"},"in":"body","name":"id","depth":2,"description":"Status Page Subscriber ID","type":"string","safeType":"string","required":true,"displayName":"»» id"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="DELETE" label="/v1/status_pages/{status_page_id}/subscribers/{subscriber_id}">
```bash {{ title: 'cURL' }}
curl --request DELETE \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6 \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6", {
  "method": "DELETE",
  "headers": {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  }
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6")
  .delete(null)
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6');
$request->setMethod(HTTP_METH_DELETE);

$request->setHeaders([
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Delete.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("DELETE", url, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": {
    "id": "a1b2c3d4e5f6"
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

